// Creare's 'Implied Consent' EU Cookie Law Banner v:2.4.1
// Conceived by Robert Kent, James Bavington & Tom Foyster
 
var dropCookie = true;                      // false disables the Cookie, allowing you to style the banner
var cookieDuration = 365;                    // Number of days before the cookie expires, and the banner reappears
var cookieName = 'ccb';        // Name of our cookie
var cookieValue = 'on';                     // Value of cookie
var displayOnce = true;

function createDiv(){

	var ccbMessage = 'Like most websites this site uses cookies. By continuing to browse this site you are agreeing to our use of cookies.';
	var ccbLinkText = 'Learn more';
	var ccbLinkTitle = 'Privacy &amp; Cookies Policy';
	// var ccbLinkUrl = '/privacy.html#cookies';
	var ccbLinkUrl = '/privacy.html';

    var bodytag = document.getElementsByTagName('body')[0];
    var div = document.createElement('div');
    div.setAttribute('id','ccb');
    // div.innerHTML = '<p>Our website uses cookies. By continuing to browse this site you are agreeing to <a href="/privacy.html" rel="nofollow" title="Privacy &amp; Cookies Policy">our use of cookies</a>&nbsp;&nbsp;&nbsp; <a class="close-cookie-banner" href="javascript:void(0);" onclick="removeMe();"><span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></a></p>';    
	div.innerHTML = '<div class="ccb-icon"><span class="ccb-icon-content"></span></div>'
	+ '<div class="ccb-content">'
	+ '<div class="ccb-message">' + ccbMessage + ' <a href="' + ccbLinkUrl + '" rel="nofollow" title="' + ccbLinkTitle + '">' + ccbLinkText + '</a></div>'
	+ '</div>'
	+ '<div class="ccb-buttons"><button class="ccb-button" type="button" onclick="removeMe();">X</button></div>';    
	
	 // Be advised the Close Banner 'X' link requires jQuery
     
    // bodytag.appendChild(div); // Adds the Cookie Law Banner just before the closing </body> tag
    // or
    bodytag.insertBefore(div,bodytag.firstChild); // Adds the Cookie Law Banner just after the opening <body> tag
     
    document.getElementsByTagName('body')[0].className+=' ccb'; //Adds a class tothe <body> tag when the banner is visible
}
 
function createCookie(name,value,days) {
    if (days) {
        var date = new Date();
        date.setTime(date.getTime()+(days*24*60*60*1000)); 
        var expires = "; expires="+date.toGMTString(); 
    }
    else var expires = "";
    if(window.dropCookie) { 
        document.cookie = name+"="+value+expires+"; path=/"; 
    }
}
 
function checkCookie(name) {
    var nameEQ = name + "=";
    var ca = document.cookie.split(';');
    for(var i=0;i < ca.length;i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1,c.length);
        if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
    }
    return null;
}
 
function eraseCookie(name) {
    createCookie(name,"",-1);
}
 
window.onload = function(){
    if(checkCookie(window.cookieName) != window.cookieValue){
        createDiv();
		if (displayOnce == true){
			createCookie(window.cookieName,window.cookieValue, window.cookieDuration); // Create the cookie
		}
    }
	
}

function removeMe(){
	// Create the cookie only if the user click on "Close"
	createCookie(window.cookieName,window.cookieValue, window.cookieDuration); // Create the cookie
	// then close the window/
	var element = document.getElementById('ccb');
	element.parentNode.removeChild(element);
}